# Module edoc_refs

Representation and handling of EDoc object references.

Copyright © 2003 Richard Carlsson

- Description
- Function Index
- Function Details

Authors: Richard Carlsson (`richardc@csd.uu.se`).

See also: edoc, edoc_parse_ref.

## Description

Representation and handling of EDoc object references. See `edoc_parse_ref` for more details.

## Function Index

app/1 |
app/2 |
function/2 |
function/3 |
function/4 |
get_uri/2 |
is_top/2 |
module/1 |
module/2 |
module/3 |
package/1 |
relative_module_path/2 |
relative_package_path/2 |
to_label/1 |
to_string/1 |
type/1 |
type/2 |
type/3 |

## Function Details

### app/1

`app(App) -> term()`

### app/2

`app(App, Ref) -> term()`

### function/2

`function(F, A) -> term()`

### function/3

`function(M, F, A) -> term()`

### function/4

`function(App, M, F, A) -> term()`

### get_uri/2

`get_uri(Ref, Env) -> term()`

### is_top/2

`is_top(Ref, Env) -> term()`

### module/1

`module(M) -> term()`

### module/2

`module(M, Ref) -> term()`

### module/3

`module(App, M, Ref) -> term()`

### package/1

`package(P) -> term()`

### relative_module_path/2

`relative_module_path(To, From) -> term()`

### relative_package_path/2

`relative_package_path(To, From) -> term()`

### to_label/1

`to_label(X1) -> term()`

### to_string/1

`to_string(X1) -> term()`

### type/1

`type(T) -> term()`

### type/2

`type(M, T) -> term()`

### type/3

`type(App, M, T) -> term()`